Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Interface AxisConfig

All Superinterfaces:
  SpanDirections

All Known Subinterfaces:
  ColumnAxisBuilder, ColumnAxisConfig, RowAxisConfig

All Known Implementing Classes:
  AxisBuilderSupport, ColumnAxisBuilderImpl, RowAxisBuilderImpl

    public interface AxisConfig

extends SpanDirections

exposes properties to configure an axis. A facade that simplifies the configuration of an axis.

Author:
  av

Field Summary
`static int` | `HIERARCHY_HEADER` the hierarchies will be shown as axis headers
`static int` | `HIERARCHY_LEVEL_HEADER` position header on rowaxis only: shows both, hierarchy and level headers
`static int` | `LEVEL_HEADER` the levels will be shown as axis headers
`static int` | `NO_HEADER` no axis header will be created

Fields inherited from interface com.tonbeller.jpivot.table.span.SpanDirections
`HIERARCHY_SPAN, HIERARCHY_THEN_POSITION_SPAN, NO_SPAN, POSITION_SPAN, POSITION_THEN_HIERARCHY_SPAN`

Method Summary
`int` | `getHeaderSpan()` controls the generation of spans for header elements
`int` | `getHierarchyHeader()` the headers will be mixed with the members of the axis
`int` | `getMemberSpan()` controls the generation of spans for member elements
`PropertyConfig` | `getPropertyConfig()`
`boolean` | `isMemberIndent()` controls whether or not a member should be indented
`boolean` | `isShowParentMembers()` controls whether or not the parents of the member will be displayed
`void` | `setHeaderSpan(int span)`
`void` | `setHierarchyHeader(int hierarchyHeader)`
`void` | `setMemberIndent(boolean memberIndent)`
`void` | `setMemberSpan(int span)`
`void` | `setShowParentMembers(boolean showParentMembers)`

Field Detail

### NO_HEADER

    static final int NO_HEADER

  no axis header will be created

  See Also:
    Constant Field Values

### HIERARCHY_HEADER

    static final int HIERARCHY_HEADER

  the hierarchies will be shown as axis headers

  See Also:
    Constant Field Values

### LEVEL_HEADER

    static final int LEVEL_HEADER

  the levels will be shown as axis headers

  See Also:
    Constant Field Values

### HIERARCHY_LEVEL_HEADER

    static final int HIERARCHY_LEVEL_HEADER

  position header on rowaxis only: shows both, hierarchy and level headers

  See Also:
    Constant Field Values

Method Detail

### isShowParentMembers

    boolean isShowParentMembers()

  controls whether or not the parents of the member will be displayed

### setShowParentMembers

    void setShowParentMembers(boolean showParentMembers)

### isMemberIndent

    boolean isMemberIndent()

  controls whether or not a member should be indented

### setMemberIndent

    void setMemberIndent(boolean memberIndent)

### getHierarchyHeader

    int getHierarchyHeader()

  the headers will be mixed with the members of the axis

### setHierarchyHeader

    void setHierarchyHeader(int hierarchyHeader)

### getMemberSpan

    int getMemberSpan()

  controls the generation of spans for member elements

### setMemberSpan

    void setMemberSpan(int span)

### getHeaderSpan

    int getHeaderSpan()

  controls the generation of spans for header elements

### setHeaderSpan

    void setHeaderSpan(int span)

### getPropertyConfig

    PropertyConfig getPropertyConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD